#
# spec file for package gap-circle
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-circle
Version:        1.6.6
Release:        1.4
Summary:        GAP: Adjoint groups of finite rings
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/circle/

Source:         https://github.com/gap-packages/circle/releases/download/v%version/circle-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1

%description
The Circle package provides functionality for computations in adjoint
groups of finite associative rings. It allows to construct circle
objects that will respect the circle multiplication r*s=r+s+rs,
create multiplicative groups, generated by such objects, and compute
groups of elements, invertible with respect to this operation.

%prep
%autosetup -n circle-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.6.6
  * Nothing user visible - just janitorial changes
* Fri Jul 29 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.6.5
  * CI infrastructure files changed - nothing user visible
* Mon Apr 25 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.6.4
  * Avoid incorrect pluralizations in output
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.6.1
  * No changelog as usual
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.5.4
  * No changelog was provided again
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.5.3
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split circle (version 1.5.2) off the gap RPM package
